<template>
  <div>
    <div class="container-scroller">
      <app-header></app-header>
      <div class="container-fluid page-body-wrapper">
        <app-sidebar></app-sidebar>
        <div class="main-panel">
          <div class="content-wrapper">
            <div class="row">
              <div class="col-md-12">
                <div class="container">
                  <h2>User Management</h2>
                  <button @click="cmsadd">ADD</button>
                  <input type="text">
                  <button>Filter</button>
                  <hr>
                  <table class="table">
                    <thead>
                      <tr>
                        <th>
                          <b>
                            <u>Firstname</u>
                          </b>
                        </th>
                        <th>
                          <b>
                            <u>Lastname</u>
                          </b>
                        </th>
                        <th>
                          <b>
                            <u>Mobile</u>
                          </b>
                        </th>
                        <th>
                          <b>
                            <u>Email</u>
                          </b>
                        </th>
                        <th>
                          <b>
                            <u>Edit</u>
                          </b>
                        </th>
                        <th>
                          <b>
                            <u>Delete</u>
                          </b>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr v-for="(name,key) in userlist" :key="key">
                        <td>{{name.firstname}}</td>
                        <td>{{name.lastname}}</td>
                        <td>{{name.mobile}}</td>
                        <td>{{name.emailId}}</td>
                        <td>
                          <button @click="editUser(name)">Edit</button>
                        </td>
                        <td>
                          <button @click="deleteUser(name._id)">Delete</button>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <footer class="footer">
        <div class="container-fluid clearfix">
          <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">
            Copyright © 2018
            <a href="http://www.bootstrapdash.com/" target="_blank">IndiaNIC</a>. All rights reserved.
          </span>
        </div>
      </footer>
    </div>
  </div>
</template>

<script>
import Sidebar from '../../sidebar';
import Navbar from '../../navbar';
import axios from 'axios'
import {mapActions} from 'vuex'
import {mapGetters} from 'vuex'


const API_URL = 'https://node.indianic.com:4069/api';

    export default {
         
          components: {
    'app-header': Navbar,
    'app-sidebar': Sidebar,
  },
  data(){
      return{
page:1,
pagesize:100,
userlist:[]
      }
  },
  created() {
      this.display()
  },
  methods:{
      cmsadd:function(){
        this.$router.push('/userAdd')
      },
   //----------------------for edit (sending to store)-------
       editUser:function(passing){
       this.$store.dispatch("editcms2",passing);
        this.$router.push('/EditUser')
      },
      //     editUser:function(user){
      //      this.editcms2(user);
      //   this.$router.push('/EditUser')
      // },
      // ...mapActions(["editcms2"]),
      //----------------------for list display-------
display:function(){
     let {page,pagesize}=this
    var sort = { rate: 1 };
    var data1 = { page: page, pagesize: pagesize, sort: sort };
    var token = localStorage.getItem('token');
    var self=this;
    axios({
      url: API_URL + '/userListing',
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        Authorization: token,
      },
      data: JSON.stringify(data1),
    }).then(response => {
        self.userlist = response.data.data
        // this.user.push(response.data.data)
        console.log("user listing response",response)
    })
        .catch(function(error){
        console.log("user---",error)
        })
      },

      //----------------------for delete---------------
      deleteUser:function(uid){
    console.log("iffffff", uid);
    var body = { userIds: [uid] }
    let token = localStorage.getItem('token')
    axios({
      method: 'POST',
      url: API_URL + '/deleteUsers',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': token
      },
      data: JSON.stringify(body)
    })
      .then(res => {
        console.log("responce------>>>>>>", res);
        this.display()
      })
      }
  }
    }
</script>

<style scoped>

</style>